package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 地区
对象 tb_area
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class TbArea extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 区域主键 */
    private Long areaId;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String name;

    /** 区域上级标识 */
    @Excel(name = "区域上级标识")
    private Long pid;

    /** 地名简称 */
    @Excel(name = "地名简称")
    private String sname;

    /** 区域等级 */
    @Excel(name = "区域等级")
    private Long level;

    /** 区域编码 */
    @Excel(name = "区域编码")
    private String cityCode;

    /** 邮政编码 */
    @Excel(name = "邮政编码")
    private String yzCode;

    /** 组合名称 */
    @Excel(name = "组合名称")
    private String merName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long lng;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long lat;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String pinYin;

    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPid(Long pid) 
    {
        this.pid = pid;
    }

    public Long getPid() 
    {
        return pid;
    }
    public void setSname(String sname) 
    {
        this.sname = sname;
    }

    public String getSname() 
    {
        return sname;
    }
    public void setLevel(Long level) 
    {
        this.level = level;
    }

    public Long getLevel() 
    {
        return level;
    }
    public void setCityCode(String cityCode) 
    {
        this.cityCode = cityCode;
    }

    public String getCityCode() 
    {
        return cityCode;
    }
    public void setYzCode(String yzCode) 
    {
        this.yzCode = yzCode;
    }

    public String getYzCode() 
    {
        return yzCode;
    }
    public void setMerName(String merName) 
    {
        this.merName = merName;
    }

    public String getMerName() 
    {
        return merName;
    }
    public void setLng(Long lng) 
    {
        this.lng = lng;
    }

    public Long getLng() 
    {
        return lng;
    }
    public void setLat(Long lat) 
    {
        this.lat = lat;
    }

    public Long getLat() 
    {
        return lat;
    }
    public void setPinYin(String pinYin) 
    {
        this.pinYin = pinYin;
    }

    public String getPinYin() 
    {
        return pinYin;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("areaId", getAreaId())
            .append("name", getName())
            .append("pid", getPid())
            .append("sname", getSname())
            .append("level", getLevel())
            .append("cityCode", getCityCode())
            .append("yzCode", getYzCode())
            .append("merName", getMerName())
            .append("lng", getLng())
            .append("lat", getLat())
            .append("pinYin", getPinYin())
            .toString();
    }
}
